import type { ComputePositionConfig, ComputePositionReturn, Middleware, Padding } from "@floating-ui/core";
import type { Writable } from "svelte/store";
export declare type ComputeConfig = Omit<ComputePositionConfig, "platform"> & {
    onComputed?: (computed: ComputePositionReturn) => void;
};
export declare type UpdatePosition = (contentOptions?: ComputeConfig) => void;
export declare type ReferenceAction = (node: HTMLElement) => void;
export declare type ContentAction = (node: HTMLElement, contentOptions?: ComputeConfig) => void;
export declare type ArrowOptions = {
    padding?: Padding;
    element: Writable<HTMLElement>;
};
export declare function createFloatingActions(initOptions?: ComputeConfig): [ReferenceAction, ContentAction, UpdatePosition];
export declare function arrow(options: ArrowOptions): Middleware;
